Index: FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 748)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/class_upload.asp	(revision 750)
@@ -1,25 +1,25 @@
-﻿<!--
- * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2007 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- *
- * These are the classes used to handle ASP upload without using third
- * part components (OCX/DLL).
--->
+﻿<%
+ ' FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ ' Copyright (C) 2003-2007 Frederico Caldeira Knabben
+ '
+ ' == BEGIN LICENSE ==
+ '
+ ' Licensed under the terms of any of the following licenses at your
+ ' choice:
+ '
+ '  - GNU General Public License Version 2 or later (the "GPL")
+ '    http://www.gnu.org/licenses/gpl.html
+ '
+ '  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ '    http://www.gnu.org/licenses/lgpl.html
+ '
+ '  - Mozilla Public License Version 1.1 or later (the "MPL")
+ '    http://www.mozilla.org/MPL/MPL-1.1.html
+ '
+ ' == END LICENSE ==
+ '
+ ' These are the classes used to handle ASP upload without using third
+ ' part components (OCX/DLL).
+%>
 <%
 '**********************************************
@@ -100,4 +100,8 @@
 		Dim aCType
 		aCType = Split(Request.ServerVariables("HTTP_CONTENT_TYPE"), ";")
+		if ( uBound(aCType) < 0 ) then
+			nErr = 1
+			Exit Sub
+		end if
 		If aCType(0) <> "multipart/form-data" Then
 			nErr = 1
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 748)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/commands.asp	(revision 750)
@@ -148,5 +148,5 @@
 	sFileName = ""
 
-	If oUploader.ErrNum > 1 Then
+	If oUploader.ErrNum > 0 Then
 		sErrorNumber = "202"
 	Else
@@ -189,5 +189,6 @@
 
 	dim sFileUrl
-	sFileUrl = CombinePaths( GetResourceTypePath( resourceType, sCommand ) , sFileName )
+	sFileUrl = CombinePaths( GetResourceTypePath( resourceType, sCommand ) , currentFolder )
+	sFileUrl = CombinePaths( sFileUrl, sFileName ) 
 
 	SendUploadResults sErrorNumber, sFileUrl, sFileName, ""
Index: FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 748)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 750)
@@ -96,6 +96,6 @@
 ConfigAllowedExtensions.Add	"File", ""
 ConfigDeniedExtensions.Add	"File", "html|htm|php|php2|php3|php4|php5|phtml|pwml|inc|asp|aspx|ascx|jsp|cfm|cfc|pl|bat|exe|com|dll|vbs|js|reg|cgi|htaccess|asis|sh|shtml|shtm|phtm"
-ConfigFileTypesPath.Add "File", "http://127.0.0.1/userfiles/file/"
-ConfigFileTypesAbsolutePath.Add "File", "d:\inetpub\wwwroot\docs\file\"
+ConfigFileTypesPath.Add "File", ConfigUserFilesPath & "file/"
+ConfigFileTypesAbsolutePath.Add "File", ""
 ConfigQuickUploadPath.Add "File", ConfigUserFilesPath
 ConfigQuickUploadAbsolutePath.Add "File", ""
@@ -103,6 +103,6 @@
 ConfigAllowedExtensions.Add	"Image", "jpg|gif|jpeg|png|bmp"
 ConfigDeniedExtensions.Add	"Image", ""
-ConfigFileTypesPath.Add "Image", "http://127.0.0.1/userfiles/image/"
-ConfigFileTypesAbsolutePath.Add "Image", "d:\inetpub\wwwroot\docs\image\"
+ConfigFileTypesPath.Add "Image", ConfigUserFilesPath & "image/"
+ConfigFileTypesAbsolutePath.Add "Image", ""
 ConfigQuickUploadPath.Add "Image", ConfigUserFilesPath
 ConfigQuickUploadAbsolutePath.Add "Image", ""