Index: FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 945)
+++ FCKeditor/trunk/editor/filemanager/connectors/asp/config.asp	(revision 973)
@@ -98,6 +98,6 @@
 Set ConfigQuickUploadAbsolutePath	= CreateObject( "Scripting.Dictionary" )
 
-ConfigAllowedExtensions.Add	"File", ""
-ConfigDeniedExtensions.Add	"File", "html|htm|php|php2|php3|php4|php5|phtml|pwml|inc|asp|aspx|ascx|jsp|cfm|cfc|pl|bat|exe|com|dll|vbs|js|reg|cgi|htaccess|asis|sh|shtml|shtm|phtm"
+ConfigAllowedExtensions.Add	"File", "7z|aiff|asf|avi|bmp|csv|doc|flv|gif|gz|gzip|jpeg|jpg|mid|mov|mp3|mp4|mpc|mpeg|mpg|ods|odt|pdf|png|ppt|pxd|qt|ram|rar|rm|rmi|rmvb|rtf|sdc|sitd|swf|sxc|sxw|tar|tgz|tif|tiff|txt|vsd|wav|wma|wmv|xls|xml|zip"
+ConfigDeniedExtensions.Add	"File", ""
 ConfigFileTypesPath.Add "File", ConfigUserFilesPath & "file/"
 ConfigFileTypesAbsolutePath.Add "File", ""
@@ -105,5 +105,5 @@
 ConfigQuickUploadAbsolutePath.Add "File", ""
 
-ConfigAllowedExtensions.Add	"Image", "jpg|gif|jpeg|png|bmp"
+ConfigAllowedExtensions.Add	"Image", "bmp|gif|jpeg|jpg|png|psd|tif|tiff"
 ConfigDeniedExtensions.Add	"Image", ""
 ConfigFileTypesPath.Add "Image", ConfigUserFilesPath & "image/"
@@ -119,5 +119,5 @@
 ConfigQuickUploadAbsolutePath.Add "Flash", ""
 
-ConfigAllowedExtensions.Add	"Media", "swf|fla|jpg|gif|jpeg|png|avi|mpg|mpeg|mp(1-4)|wma|wmv|wav|mid|midi|rmi|rm|ram|rmvb|mov|qt"
+ConfigAllowedExtensions.Add	"Media", "aiff|asf|avi|bmp|flv|gif|jpeg|jpg|mid|mov|mp3|mp4|mpc|mpeg|mpg|png|qt|ram|rm|rmi|rmvb|swf|tif|tiff|wav|wma|wmv"
 ConfigDeniedExtensions.Add	"Media", ""
 ConfigFileTypesPath.Add "Media", ConfigUserFilesPath & "media/"
Index: FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm	(revision 945)
+++ FCKeditor/trunk/editor/filemanager/connectors/cfm/config.cfm	(revision 973)
@@ -101,6 +101,6 @@
 	Config.QuickUploadAbsolutePath 			= StructNew() ;
 
-	Config.AllowedExtensions["File"]	 	= "" ;
-	Config.DeniedExtensions["File"] 		= "html,htm,php,php2,php3,php4,php5,phtml,pwml,inc,asp,aspx,ascx,jsp,cfm,cfc,pl,bat,exe,com,dll,vbs,js,reg,cgi,htaccess,asis,sh,shtml,shtm,phtm" ;
+	Config.AllowedExtensions["File"]	 	= "7z,aiff,asf,avi,bmp,csv,doc,flv,gif,gz,gzip,jpeg,jpg,mid,mov,mp3,mp4,mpc,mpeg,mpg,ods,odt,pdf,png,ppt,pxd,qt,ram,rar,rm,rmi,rmvb,rtf,sdc,sitd,swf,sxc,sxw,tar,tgz,tif,tiff,txt,vsd,wav,wma,wmv,xls,xml,zip" ;
+	Config.DeniedExtensions["File"] 		= "" ;
 	Config.FileTypesPath["File"] 			= Config.UserFilesPath & 'file/' ;
 	Config.FileTypesAbsolutePath["File"] 	= iif( Config.ServerPath eq "", de(""), de(Config.ServerPath & 'file/') ) ;
@@ -108,5 +108,5 @@
 	Config.QuickUploadAbsolutePath["File"] 	= Config.FileTypesAbsolutePath["File"] ;
 
-	Config.AllowedExtensions["Image"] 		= "png,gif,jpg,jpeg,bmp" ;
+	Config.AllowedExtensions["Image"] 		= "bmp,gif,jpeg,jpg,png,psd,tif,tiff" ;
 	Config.DeniedExtensions["Image"] 		= "" ;
 	Config.FileTypesPath["Image"] 			= Config.UserFilesPath & 'image/' ;
@@ -122,5 +122,5 @@
 	Config.QuickUploadAbsolutePath["Flash"] = Config.FileTypesAbsolutePath["Flash"] ;
 
-	Config.AllowedExtensions["Media"] 		= "swf,fla,jpg,gif,jpeg,png,avi,mpg,mpeg,mp3,mp4,m4a,wma,wmv,wav,mid,midi,rmi,rm,ram,rmvb,mov,qt" ;
+	Config.AllowedExtensions["Media"] 		= "aiff,asf,avi,bmp,flv,gif,jpeg,jpg,mid,mov,mp3,mp4,mpc,mpeg,mpg,png,qt,ram,rm,rmi,rmvb,swf,tif,tiff,wav,wma,wmv" ;
 	Config.DeniedExtensions["Media"] 		= "" ;
 	Config.FileTypesPath["Media"] 			= Config.UserFilesPath & 'media/' ;
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 945)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/config.lasso	(revision 973)
@@ -51,11 +51,11 @@
 		),
 		'AllowedExtensions' = map(
-			'File' = array(),
-			'Image' = array('jpg','gif','jpeg','png'),
+			'File' = array('7z','aiff','asf','avi','bmp','csv','doc','flv','gif','gz','gzip','jpeg','jpg','mid','mov','mp3','mp4','mpc','mpeg','mpg','ods','odt','pdf','png','ppt','pxd','qt','ram','rar','rm','rmi','rmvb','rtf','sdc','sitd','swf','sxc','sxw','tar','tgz','tif','tiff','txt','vsd','wav','wma','wmv','xls','xml','zip'),
+			'Image' = array('bmp','gif','jpeg','jpg','png','psd','tif','tiff'),
 			'Flash' = array('swf','fla'),
-			'Media' = array('swf','fla','jpg','gif','jpeg','png','avi','mpg','mpeg')
+			'Media' = array('aiff','asf','avi','bmp','flv','gif','jpeg','jpg','mid','mov','mp3','mp4','mpc','mpeg','mpg','png','qt','ram','rm','rmi','rmvb','swf','tif','tiff','wav','wma','wmv')
 		),
 		'DeniedExtensions' = map(
-			'File' = array('html','htm','php','php2','php3','php4','php5','phtml','pwml','inc','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','com','dll','vbs','js','reg','cgi','lasso','lassoapp','htaccess','asis','sh','shtml','shtm','phtm'),
+			'File' = array(),
 			'Image' = array(),
 			'Flash' = array(),
Index: FCKeditor/trunk/editor/filemanager/connectors/php/config.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 945)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/config.php	(revision 973)
@@ -114,6 +114,6 @@
 */
 
-$Config['AllowedExtensions']['File']	= array() ;
-$Config['DeniedExtensions']['File']		= array('html','htm','php','php2','php3','php4','php5','phtml','pwml','inc','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','com','dll','vbs','js','reg','cgi','htaccess','asis','sh','shtml','shtm','phtm') ;
+$Config['AllowedExtensions']['File']	= array('7z', 'aiff', 'asf', 'avi', 'bmp', 'csv', 'doc', 'flv', 'gif', 'gz', 'gzip', 'jpeg', 'jpg', 'mid', 'mov', 'mp3', 'mp4', 'mpc', 'mpeg', 'mpg', 'ods', 'odt', 'pdf', 'png', 'ppt', 'pxd', 'qt', 'ram', 'rar', 'rm', 'rmi', 'rmvb', 'rtf', 'sdc', 'sitd', 'swf', 'sxc', 'sxw', 'tar', 'tgz', 'tif', 'tiff', 'txt', 'vsd', 'wav', 'wma', 'wmv', 'xls', 'xml', 'zip') ;
+$Config['DeniedExtensions']['File']		= array() ;
 $Config['FileTypesPath']['File']		= $Config['UserFilesPath'] . 'file/' ;
 $Config['FileTypesAbsolutePath']['File']= ($Config['UserFilesAbsolutePath'] == '') ? '' : $Config['UserFilesAbsolutePath'].'file/' ;
@@ -121,5 +121,5 @@
 $Config['QuickUploadAbsolutePath']['File']= $Config['UserFilesAbsolutePath'] ;
 
-$Config['AllowedExtensions']['Image']	= array('jpg','gif','jpeg','png') ;
+$Config['AllowedExtensions']['Image']	= array('bmp','gif','jpeg','jpg','png','psd','tif','tiff') ;
 $Config['DeniedExtensions']['Image']	= array() ;
 $Config['FileTypesPath']['Image']		= $Config['UserFilesPath'] . 'image/' ;
@@ -135,5 +135,5 @@
 $Config['QuickUploadAbsolutePath']['Flash']= $Config['UserFilesAbsolutePath'] ;
 
-$Config['AllowedExtensions']['Media']	= array('swf','fla','jpg','gif','jpeg','png','avi','mpg','mpeg') ;
+$Config['AllowedExtensions']['Media']	= array('aiff', 'asf', 'avi', 'bmp', 'flv', 'gif', 'jpeg', 'jpg', 'mid', 'mov', 'mp3', 'mp4', 'mpc', 'mpeg', 'mpg', 'png', 'qt', 'ram', 'rm', 'rmi', 'rmvb', 'swf', 'tif', 'tiff', 'wav', 'wma', 'wmv') ;
 $Config['DeniedExtensions']['Media']	= array() ;
 $Config['FileTypesPath']['Media']		= $Config['UserFilesPath'] . 'media/' ;
Index: FCKeditor/trunk/editor/filemanager/connectors/py/config.py
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 945)
+++ FCKeditor/trunk/editor/filemanager/connectors/py/config.py	(revision 973)
@@ -107,6 +107,6 @@
 #		Attention: It must end with a slash: '/'
 
-AllowedExtensions['File'] 		= []
-DeniedExtensions['File'] 		= ['html','htm','php','php2','php3','php4','php5','phtml','pwml','inc','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','com','dll','vbs','js','reg','cgi','htaccess','asis','sh','shtml','shtm','phtm', 'py', 'spy', 'pyw']
+AllowedExtensions['File'] 		= ['7z','aiff','asf','avi','bmp','csv','doc','flv','gif','gz','gzip','jpeg','jpg','mid','mov','mp3','mp4','mpc','mpeg','mpg','ods','odt','pdf','png','ppt','pxd','qt','ram','rar','rm','rmi','rmvb','rtf','sdc','sitd','swf','sxc','sxw','tar','tgz','tif','tiff','txt','vsd','wav','wma','wmv','xls','xml','zip']
+DeniedExtensions['File'] 		= []
 FileTypesPath['File'] 			= UserFilesPath + 'file/' 
 FileTypesAbsolutePath['File'] 	= (not UserFilesAbsolutePath == '') and (UserFilesAbsolutePath + 'file/') or ''
@@ -114,5 +114,5 @@
 QuickUploadAbsolutePath['File']	= FileTypesAbsolutePath['File']
 
-AllowedExtensions['Image']		= ['jpg','gif','jpeg','png']
+AllowedExtensions['Image']		= ['bmp','gif','jpeg','jpg','png','psd','tif','tiff']
 DeniedExtensions['Image']		= []
 FileTypesPath['Image']			= UserFilesPath + 'image/' 
@@ -128,5 +128,5 @@
 QuickUploadAbsolutePath['Flash']= FileTypesAbsolutePath['Flash']
 
-AllowedExtensions['Media']		= [ 'swf','fla','jpg','gif','jpeg','png','avi','mpg','mpeg' ]
+AllowedExtensions['Media']		= ['aiff','asf','avi','bmp','flv','gif','jpeg','jpg','mid','mov','mp3','mp4','mpc','mpeg','mpg','png','qt','ram','rm','rmi','rmvb','swf','tif','tiff','wav','wma','wmv']
 DeniedExtensions['Media']		= []
 FileTypesPath['Media']			= UserFilesPath + 'media/'