Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 975)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 976)
@@ -30,5 +30,5 @@
 cs.js      Found: 396   Missing: 16
 da.js      Found: 382   Missing: 30
-de.js      Found: 397   Missing: 15
+de.js      Found: 412   Missing: 0
 el.js      Found: 397   Missing: 15
 en-au.js   Found: 412   Missing: 0
Index: FCKeditor/trunk/editor/lang/de.js
===================================================================
--- FCKeditor/trunk/editor/lang/de.js	(revision 975)
+++ FCKeditor/trunk/editor/lang/de.js	(revision 976)
@@ -46,5 +46,5 @@
 RemoveLink			: "Link entfernen",
 Anchor				: "Anker einfügen/editieren",
-AnchorDelete		: "Remove Anchor",	//MISSING
+AnchorDelete		: "Anker entfernen",
 InsertImageLbl		: "Bild",
 InsertImage			: "Bild einfügen/editieren",
@@ -72,5 +72,5 @@
 DecreaseIndent		: "Einzug verringern",
 IncreaseIndent		: "Einzug erhöhen",
-Blockquote			: "Blockquote",	//MISSING
+Blockquote			: "Zitatblock",
 Undo				: "Rückgängig",
 Redo				: "Wiederherstellen",
@@ -88,5 +88,5 @@
 BGColor				: "Hintergrundfarbe",
 Source				: "Quellcode",
-Find				: "Finden",
+Find				: "Suchen",
 Replace				: "Ersetzen",
 SpellCheck			: "Rechtschreibprüfung",
@@ -106,5 +106,5 @@
 
 FitWindow		: "Editor maximieren",
-ShowBlocks		: "Show Blocks",	//MISSING
+ShowBlocks		: "Blöcke anzeigen",
 
 // Context Menu
@@ -113,34 +113,34 @@
 RowCM				: "Zeile",
 ColumnCM			: "Spalte",
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+InsertRowAfter		: "Zeile unterhalb einfügen",
+InsertRowBefore		: "Zeile oberhalb einfügen",
 DeleteRows			: "Zeile entfernen",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
+InsertColumnAfter	: "Spalte rechts danach einfügen",
+InsertColumnBefore	: "Spalte links davor einfügen",
 DeleteColumns		: "Spalte löschen",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
+InsertCellAfter		: "Zelle danach einfügen",
+InsertCellBefore	: "Zelle davor einfügen",
 DeleteCells			: "Zelle löschen",
-MergeCells			: "Zellen vereinen",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
+MergeCells			: "Zellen verbinden",
+MergeRight			: "nach rechts verbinden",
+MergeDown			: "nach unten verbinden",
+HorizontalSplitCell	: "Zelle horizontal teilen",
+VerticalSplitCell	: "Zelle vertikal teilen",
 TableDelete			: "Tabelle löschen",
-CellProperties		: "Zellen Eigenschaften",
-TableProperties		: "Tabellen Eigenschaften",
-ImageProperties		: "Bild Eigenschaften",
-FlashProperties		: "Flash Eigenschaften",
-
-AnchorProp			: "Anker Eigenschaften",
-ButtonProp			: "Button Eigenschaften",
-CheckboxProp		: "Checkbox Eigenschaften",
-HiddenFieldProp		: "Verstecktes Feld Eigenschaften",
-RadioButtonProp		: "Optionsfeld Eigenschaften",
-ImageButtonProp		: "Bildbutton Eigenschaften",
+CellProperties		: "Zellen-Eigenschaften",
+TableProperties		: "Tabellen-Eigenschaften",
+ImageProperties		: "Bild-Eigenschaften",
+FlashProperties		: "Flash-Eigenschaften",
+
+AnchorProp			: "Anker-Eigenschaften",
+ButtonProp			: "Button-Eigenschaften",
+CheckboxProp		: "Checkbox-Eigenschaften",
+HiddenFieldProp		: "Verstecktes Feld-Eigenschaften",
+RadioButtonProp		: "Optionsfeld-Eigenschaften",
+ImageButtonProp		: "Bildbutton-Eigenschaften",
 TextFieldProp		: "Textfeld (einzeilig) Eigenschaften",
-SelectionFieldProp	: "Auswahlfeld Eigenschaften",
+SelectionFieldProp	: "Auswahlfeld-Eigenschaften",
 TextareaProp		: "Textfeld (mehrzeilig) Eigenschaften",
-FormProp			: "Formular Eigenschaften",
+FormProp			: "Formular-Eigenschaften",
 
 FontFormats			: "Normal;Formatiert;Addresse;Überschrift 1;Überschrift 2;Überschrift 3;Überschrift 4;Überschrift 5;Überschrift 6;Normal (DIV)",		//REVIEW : Check _getfontformat.html
@@ -170,5 +170,5 @@
 
 // General Dialogs Labels
-DlgGenNotSet		: "< nichts >",
+DlgGenNotSet		: "<nichts>",
 DlgGenId			: "ID",
 DlgGenLangDir		: "Schreibrichtung",
@@ -176,16 +176,16 @@
 DlgGenLangDirRtl	: "Rechts nach Links (RTL)",
 DlgGenLangCode		: "Sprachenkürzel",
-DlgGenAccessKey		: "Schlüssel",
+DlgGenAccessKey		: "Zugriffstaste",
 DlgGenName			: "Name",
-DlgGenTabIndex		: "Tab Index",
+DlgGenTabIndex		: "Tab-Index",
 DlgGenLongDescr		: "Langform URL",
 DlgGenClass			: "Stylesheet Klasse",
 DlgGenTitle			: "Titel Beschreibung",
-DlgGenContType		: "Content Beschreibung",
+DlgGenContType		: "Inhaltstyp",
 DlgGenLinkCharset	: "Ziel-Zeichensatz",
 DlgGenStyle			: "Style",
 
 // Image Dialog
-DlgImgTitle			: "Bild Eigenschaften",
+DlgImgTitle			: "Bild-Eigenschaften",
 DlgImgInfoTab		: "Bild-Info",
 DlgImgBtnUpload		: "Zum Server senden",
@@ -215,5 +215,5 @@
 
 // Flash Dialog
-DlgFlashTitle		: "Flash Eigenschaften",
+DlgFlashTitle		: "Flash-Eigenschaften",
 DlgFlashChkPlay		: "autom. Abspielen",
 DlgFlashChkLoop		: "Endlosschleife",
@@ -226,5 +226,5 @@
 // Link Dialog
 DlgLnkWindowTitle	: "Link",
-DlgLnkInfoTab		: "Link Info",
+DlgLnkInfoTab		: "Link-Info",
 DlgLnkTargetTab		: "Zielseite",
 
@@ -239,5 +239,5 @@
 DlgLnkAnchorByName	: "nach Anker Name",
 DlgLnkAnchorById	: "nach Element Id",
-DlgLnkNoAnchors		: "<keine Anker im Dokument vorhanden>",		//REVIEW : Change < and > with ( and )
+DlgLnkNoAnchors		: "(keine Anker im Dokument vorhanden)",		//REVIEW : Change < and > with ( and )
 DlgLnkEMail			: "E-Mail Addresse",
 DlgLnkEMailSubject	: "Betreffzeile",
@@ -253,7 +253,7 @@
 DlgLnkTargetSelf	: "Gleiches Fenster (_self)",
 DlgLnkTargetTop		: "Oberstes Fenster (_top)",
-DlgLnkTargetFrameName	: "Ziel-Fenster Name",
-DlgLnkPopWinName	: "Pop-up Fenster Name",
-DlgLnkPopWinFeat	: "Pop-up Fenster Eigenschaften",
+DlgLnkTargetFrameName	: "Ziel-Fenster-Name",
+DlgLnkPopWinName	: "Pop-up Fenster-Name",
+DlgLnkPopWinFeat	: "Pop-up Fenster-Eigenschaften",
 DlgLnkPopResize		: "Vergrößerbar",
 DlgLnkPopLocation	: "Adress-Leiste",
@@ -287,10 +287,10 @@
 
 // Table Dialog
-DlgTableTitle		: "Tabellen Eigenschaften",
+DlgTableTitle		: "Tabellen-Eigenschaften",
 DlgTableRows		: "Zeile",
 DlgTableColumns		: "Spalte",
 DlgTableBorder		: "Rahmen",
 DlgTableAlign		: "Ausrichtung",
-DlgTableAlignNotSet	: "<nichts>",
+DlgTableAlignNotSet	: "<keine>",
 DlgTableAlignLeft	: "Links",
 DlgTableAlignCenter	: "Zentriert",
@@ -312,14 +312,14 @@
 DlgCellHeight		: "Höhe",
 DlgCellWordWrap		: "Umbruch",
-DlgCellWordWrapNotSet	: "<nichts>",
+DlgCellWordWrapNotSet	: "<keiner>",
 DlgCellWordWrapYes	: "Ja",
 DlgCellWordWrapNo	: "Nein",
 DlgCellHorAlign		: "Horizontale Ausrichtung",
-DlgCellHorAlignNotSet	: "<nichts>",
+DlgCellHorAlignNotSet	: "<keine>",
 DlgCellHorAlignLeft	: "Links",
 DlgCellHorAlignCenter	: "Zentriert",
 DlgCellHorAlignRight: "Rechts",
 DlgCellVerAlign		: "Vertikale Ausrichtung",
-DlgCellVerAlignNotSet	: "<nichts>",
+DlgCellVerAlignNotSet	: "<keine>",
 DlgCellVerAlignTop	: "Oben",
 DlgCellVerAlignMiddle	: "Mitte",
@@ -333,5 +333,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "Suchen und Ersetzen",
 
 // Find Dialog
@@ -356,6 +356,6 @@
 PasteFromWord	: "Aus Word einfügen",
 
-DlgPasteMsg2	: "Bitte fügen Sie den Text in der folgenden Box über die Tastatur (mit <STRONG>Ctrl+V</STRONG>) ein und bestätigen Sie mit <STRONG>OK</STRONG>.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteMsg2	: "Bitte fügen Sie den Text in der folgenden Box über die Tastatur (mit <STRONG>Strg+V</STRONG>) ein und bestätigen Sie mit <STRONG>OK</STRONG>.",
+DlgPasteSec		: "Aufgrund von Sicherheitsbeschränkungen Ihres Browsers kann der Editor nicht direkt auf die Zwischenablage zugreifen. Bitte fügen Sie den Inhalt erneut in diesem Fenster ein.",
 DlgPasteIgnoreFont		: "Ignoriere Schriftart-Definitionen",
 DlgPasteRemoveStyles	: "Entferne Style-Definitionen",
@@ -367,8 +367,8 @@
 
 // Document Properties
-DocProps		: "Dokument Eigenschaften",
+DocProps		: "Dokument-Eigenschaften",
 
 // Anchor Dialog
-DlgAnchorTitle		: "Anker Eigenschaften",
+DlgAnchorTitle		: "Anker-Eigenschaften",
 DlgAnchorName		: "Anker Name",
 DlgAnchorErrorName	: "Bitte geben Sie den Namen des Ankers ein",