Index: FCKeditor/trunk/_test/automated/tests/fckw3crange.html
===================================================================
--- FCKeditor/trunk/_test/automated/tests/fckw3crange.html	(revision 977)
+++ FCKeditor/trunk/_test/automated/tests/fckw3crange.html	(revision 978)
@@ -845,69 +845,4 @@
 }
 
-// W3C DOM Range Specs - Section 2.7 - Example 1
-function test_toString_W3C_1()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.getElementById( '_P' ).firstChild, 1 ) ;
-	range.setEnd( document.getElementById( '_P' ), 2 ) ;
-
-	assertEquals( 'his is some', range.toString() ) ;
-}
-
-
-// W3C DOM Range Specs - Section 2.7 - Example 2
-function test_toString_W3C_2()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.getElementById( '_B' ).firstChild, 1 ) ;
-	range.setEnd( document.getElementById( '_B' ).nextSibling, 1 ) ;
-
-	assertEquals( 'Cloned HTML', 'ome ', range.toString() ) ;
-}
-
-// W3C DOM Range Specs - Section 2.6 - Example 3
-function test_toString_W3C_3()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.getElementById( '_B' ).previousSibling, 1 ) ;
-	range.setEnd( document.getElementById( '_B' ).firstChild, 1 ) ;
-
-	assertEquals( 'Cloned HTML', 'his is s', range.toString() ) ;
-}
-
-// W3C DOM Range Specs - Section 2.6 - Example 4
-function test_toString_W3C_4()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.getElementById( '_H1' ).firstChild, 1 ) ;
-	range.setEnd( document.body.lastChild.firstChild, 1 ) ;
-
-	assertEquals( 'Cloned HTML', 'CKW3CRange TestThis is some text.A', range.toString() ) ;
-}
-
-function test_toString_Other()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.getElementById( '_H1' ), 0 ) ;
-	range.setEnd( document.body.lastChild, 1 ) ;
-
-	assertEquals( 'Cloned HTML', 'FCKW3CRange TestThis is some text.Another paragraph.', range.toString() ) ;
-}
-
-function test_toString_Other_2()
-{
-	var range = FCKW3CRange.CreateRange( document ) ;
-
-	range.setStart( document.body, 0 ) ;
-	range.setEnd( document.body, 2 ) ;
-
-	assertEquals( 'Cloned HTML', 'FCKW3CRange TestThis is some text.', range.toString() ) ;
-}
-
 	</script>
 <script type="text/javascript">
Index: FCKeditor/trunk/editor/_source/classes/fckdomrange.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckdomrange.js	(revision 977)
+++ FCKeditor/trunk/editor/_source/classes/fckdomrange.js	(revision 978)
@@ -776,11 +776,4 @@
 		return !!this._Range ;
 	},
-
-	GetText : function()
-	{
-		if ( ! this._Range )
-			return '' ;
-		return this._Range.toString() ;
-	},
 	
 	GetTouchedStartNode : function()
Index: FCKeditor/trunk/editor/_source/classes/fckw3crange.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckw3crange.js	(revision 977)
+++ FCKeditor/trunk/editor/_source/classes/fckw3crange.js	(revision 978)
@@ -445,51 +445,4 @@
 	{
 		return FCKW3CRange.CreateFromRange( this._Document, this ) ;
-	},
-
-	toString : function()
-	{
-		var startNode = this.startContainer ;
-		var endNode = this.endContainer ;
-
-		// note that it often occurs that startOffset/endOffset goes beyond the end of a container.
-		if ( startNode.firstChild )
-		{
-			if ( startNode.childNodes[this.startOffset] == null )
-				startNode = startNode.lastChild ;
-			else
-				startNode = startNode.childNodes[this.startOffset] ;
-		}
-		if ( endNode.firstChild )
-		{
-			if ( endNode.childNodes[this.endOffset] == null )
-				endNode = endNode.lastChild ;
-			else
-				endNode = endNode.childNodes[this.endOffset] ;
-		}
-
-		// Use an array for joining strings for performance.
-		var retval = [] ;
-		var currentNode = startNode ;
-		var endReached = false ;
-		while ( endReached == false )
-		{
-			if ( currentNode == endNode )
-				endReached = true ;
-
-			if ( currentNode.nodeType == 3 )
-			{
-				if ( currentNode == this.startContainer || currentNode == this.endContainer )
-				{
-					var startOffset = ( currentNode == this.startContainer ? this.startOffset : 0 ) ;
-					var endOffset = ( currentNode == this.endContainer ? this.endOffset : currentNode.nodeValue.length ) ;
-					retval.push( currentNode.nodeValue.substring( startOffset, endOffset ) ) ;
-				}
-				else
-					retval.push( currentNode.nodeValue ) ;
-			}
-			currentNode = FCKDomTools.GetNextSourceNode( currentNode ) ;
-		}
-
-		return retval.join( '' ) ;
 	}
 } ;