Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1003)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1004)
@@ -42,5 +42,5 @@
 fi.js      Found: 398   Missing: 14
 fo.js      Found: 397   Missing: 15
-fr.js      Found: 397   Missing: 15
+fr.js      Found: 412   Missing: 0
 gl.js      Found: 382   Missing: 30
 he.js      Found: 398   Missing: 14
@@ -62,5 +62,5 @@
 pt-br.js   Found: 397   Missing: 15
 pt.js      Found: 382   Missing: 30
-ro.js      Found: 396   Missing: 16
+ro.js      Found: 411   Missing: 1
 ru.js      Found: 397   Missing: 15
 sk.js      Found: 397   Missing: 15
Index: FCKeditor/trunk/editor/lang/fr.js
===================================================================
--- FCKeditor/trunk/editor/lang/fr.js	(revision 1003)
+++ FCKeditor/trunk/editor/lang/fr.js	(revision 1004)
@@ -46,5 +46,5 @@
 RemoveLink			: "Supprimer le lien",
 Anchor				: "Insérer/modifier l'ancre",
-AnchorDelete		: "Remove Anchor",	//MISSING
+AnchorDelete		: "Supprimer l'ancre",
 InsertImageLbl		: "Image",
 InsertImage			: "Insérer/modifier l'image",
@@ -72,5 +72,5 @@
 DecreaseIndent		: "Diminuer le retrait",
 IncreaseIndent		: "Augmenter le retrait",
-Blockquote			: "Blockquote",	//MISSING
+Blockquote			: "Citation",
 Undo				: "Annuler",
 Redo				: "Refaire",
@@ -106,5 +106,5 @@
 
 FitWindow		: "Edition pleine page",
-ShowBlocks		: "Show Blocks",	//MISSING
+ShowBlocks		: "Afficher les blocs",
 
 // Context Menu
@@ -113,18 +113,18 @@
 RowCM				: "Ligne",
 ColumnCM			: "Colonne",
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+InsertRowAfter		: "Insérer une ligne après",
+InsertRowBefore		: "Insérer une ligne avant",
 DeleteRows			: "Supprimer des lignes",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
+InsertColumnAfter	: "Insérer une colonne après",
+InsertColumnBefore	: "Insérer une colonne avant",
 DeleteColumns		: "Supprimer des colonnes",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
+InsertCellAfter		: "Insérer une cellule après",
+InsertCellBefore	: "Insérer une cellule avant",
 DeleteCells			: "Supprimer des cellules",
 MergeCells			: "Fusionner les cellules",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
+MergeRight			: "Fusionner à droite",
+MergeDown			: "Fusionner en bas",
+HorizontalSplitCell	: "Scinder la cellule horizontalement",
+VerticalSplitCell	: "Scinder la cellule verticalement",
 TableDelete			: "Supprimer le tableau",
 CellProperties		: "Propriétés de cellule",
@@ -333,5 +333,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "Chercher et Remplacer",
 
 // Find Dialog
@@ -357,5 +357,5 @@
 
 DlgPasteMsg2	: "Veuillez coller dans la zone ci-dessous en utilisant le clavier (<STRONG>Ctrl+V</STRONG>) et cliquez sur <STRONG>OK</STRONG>.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteSec		: "A cause des paramètres de sécurité de votre navigateur, l'éditeur ne peut accéder au presse-papier directement. Vous devez coller à nouveau le contenu dans cette fenêtre.",
 DlgPasteIgnoreFont		: "Ignorer les polices de caractères",
 DlgPasteRemoveStyles	: "Supprimer les styles",
Index: FCKeditor/trunk/editor/lang/ro.js
===================================================================
--- FCKeditor/trunk/editor/lang/ro.js	(revision 1003)
+++ FCKeditor/trunk/editor/lang/ro.js	(revision 1004)
@@ -46,5 +46,5 @@
 RemoveLink			: "Înlătură link (legătură web)",
 Anchor				: "Inserează/Editează ancoră",
-AnchorDelete		: "Remove Anchor",	//MISSING
+AnchorDelete		: "Şterge ancoră",
 InsertImageLbl		: "Imagine",
 InsertImage			: "Inserează/Editează imagine",
@@ -72,5 +72,5 @@
 DecreaseIndent		: "Scade indentarea",
 IncreaseIndent		: "Creşte indentarea",
-Blockquote			: "Blockquote",	//MISSING
+Blockquote			: "Citat",
 Undo				: "Starea anterioară (undo)",
 Redo				: "Starea ulterioară (redo)",
@@ -106,5 +106,5 @@
 
 FitWindow		: "Maximizează mărimea editorului",
-ShowBlocks		: "Show Blocks",	//MISSING
+ShowBlocks		: "Arată blocurile",
 
 // Context Menu
@@ -113,18 +113,18 @@
 RowCM				: "Linie",
 ColumnCM			: "Coloană",
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+InsertRowAfter		: "Inserează linie după",
+InsertRowBefore		: "Inserează linie înainte",
 DeleteRows			: "Şterge linii",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
+InsertColumnAfter	: "Inserează coloană după",
+InsertColumnBefore	: "Inserează coloană înainte",
 DeleteColumns		: "Şterge celule",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
+InsertCellAfter		: "Inserează celulă după",
+InsertCellBefore	: "Inserează celulă înainte",
 DeleteCells			: "Şterge celule",
 MergeCells			: "Uneşte celule",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
+MergeRight			: "Uneşte la dreapta",
+MergeDown			: "Uneşte jos",
+HorizontalSplitCell	: "Împarte celula pe orizontală",
+VerticalSplitCell	: "Împarte celula pe verticală",
 TableDelete			: "Şterge tabel",
 CellProperties		: "Proprietăţile celulei",
@@ -333,5 +333,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "Găseşte şi înlocuieşte",
 
 // Find Dialog
@@ -357,5 +357,5 @@
 
 DlgPasteMsg2	: "Vă rugăm adăugaţi în căsuţa următoare folosind tastatura (<STRONG>Ctrl+V</STRONG>) şi apăsaţi <STRONG>OK</STRONG>.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteSec		: "Din cauza setărilor de securitate ale programului dvs. cu care navigaţi pe internet (browser), editorul nu poate accesa direct datele din clipboard. Va trebui să adăugaţi din nou datele în această fereastră.",
 DlgPasteIgnoreFont		: "Ignoră definiţiile Font Face",
 DlgPasteRemoveStyles	: "Şterge definiţiile stilurilor",