Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1005)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1006)
@@ -45,5 +45,5 @@
 gl.js      Found: 382   Missing: 30
 he.js      Found: 398   Missing: 14
-hi.js      Found: 397   Missing: 15
+hi.js      Found: 412   Missing: 0
 hr.js      Found: 412   Missing: 0
 hu.js      Found: 412   Missing: 0
Index: FCKeditor/trunk/editor/lang/hi.js
===================================================================
--- FCKeditor/trunk/editor/lang/hi.js	(revision 1005)
+++ FCKeditor/trunk/editor/lang/hi.js	(revision 1006)
@@ -46,5 +46,5 @@
 RemoveLink			: "लिंक हटायें",
 Anchor				: "ऐंकर इन्सर्ट/संपादन",
-AnchorDelete		: "Remove Anchor",	//MISSING
+AnchorDelete		: "ऐंकर हटायें",
 InsertImageLbl		: "तस्वीर",
 InsertImage			: "तस्वीर इन्सर्ट/संपादन",
@@ -72,5 +72,5 @@
 DecreaseIndent		: "इन्डॅन्ट कम करें",
 IncreaseIndent		: "इन्डॅन्ट बढ़ायें",
-Blockquote			: "Blockquote",	//MISSING
+Blockquote			: "ब्लॉक-कोट",
 Undo				: "अन्डू",
 Redo				: "रीडू",
@@ -106,5 +106,5 @@
 
 FitWindow		: "एडिटर साइज़ को चरम सीमा तक बढ़ायें",
-ShowBlocks		: "Show Blocks",	//MISSING
+ShowBlocks		: "ब्लॉक दिखायें",
 
 // Context Menu
@@ -113,20 +113,20 @@
 RowCM				: "पंक्ति",
 ColumnCM			: "कालम",
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+InsertRowAfter		: "बाद में पंक्ति डालें",
+InsertRowBefore		: "पहले पंक्ति डालें",
 DeleteRows			: "पंक्तियाँ डिलीट करें",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
-DeleteColumns		: "कॉलम डिलीट करें",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
-DeleteCells			: "सॅल डिलीट करें",
-MergeCells			: "सॅल मिलायें",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
+InsertColumnAfter	: "बाद में कालम डालें",
+InsertColumnBefore	: "पहले कालम डालें",
+DeleteColumns		: "कालम डिलीट करें",
+InsertCellAfter		: "बाद में सैल डालें",
+InsertCellBefore	: "पहले सैल डालें",
+DeleteCells			: "सैल डिलीट करें",
+MergeCells			: "सैल मिलायें",
+MergeRight			: "बाँया विलय",
+MergeDown			: "नीचे विलय करें",
+HorizontalSplitCell	: "सैल को क्षैतिज स्थिति में विभाजित करें",
+VerticalSplitCell	: "सैल को लम्बाकार में विभाजित करें",
 TableDelete			: "टेबल डिलीट करें",
-CellProperties		: "सॅल प्रॉपर्टीज़",
+CellProperties		: "सैल प्रॉपर्टीज़",
 TableProperties		: "टेबल प्रॉपर्टीज़",
 ImageProperties		: "तस्वीर प्रॉपर्टीज़",
@@ -289,5 +289,5 @@
 DlgTableTitle		: "टेबल प्रॉपर्टीज़",
 DlgTableRows		: "पंक्तियाँ",
-DlgTableColumns		: "कॉलम",
+DlgTableColumns		: "कालम",
 DlgTableBorder		: "बॉर्डर साइज़",
 DlgTableAlign		: "ऍलाइन्मॅन्ट",
@@ -297,16 +297,16 @@
 DlgTableAlignRight	: "बायें",
 DlgTableWidth		: "चौड़ाई",
-DlgTableWidthPx		: "पिक्सॅल",
+DlgTableWidthPx		: "पिक्सैल",
 DlgTableWidthPc		: "प्रतिशत",
 DlgTableHeight		: "ऊँचाई",
-DlgTableCellSpace	: "सॅल अंतर",
-DlgTableCellPad		: "सॅल पैडिंग",
+DlgTableCellSpace	: "सैल अंतर",
+DlgTableCellPad		: "सैल पैडिंग",
 DlgTableCaption		: "शीर्षक",
 DlgTableSummary		: "सारांश",
 
 // Table Cell Dialog
-DlgCellTitle		: "सॅल प्रॉपर्टीज़",
+DlgCellTitle		: "सैल प्रॉपर्टीज़",
 DlgCellWidth		: "चौड़ाई",
-DlgCellWidthPx		: "पिक्सॅल",
+DlgCellWidthPx		: "पिक्सैल",
 DlgCellWidthPc		: "प्रतिशत",
 DlgCellHeight		: "ऊँचाई",
@@ -327,5 +327,5 @@
 DlgCellVerAlignBaseline	: "मूलरेखा",
 DlgCellRowSpan		: "पंक्ति स्पैन",
-DlgCellCollSpan		: "कॉलम स्पैन",
+DlgCellCollSpan		: "कालम स्पैन",
 DlgCellBackColor	: "बैक्ग्राउन्ड रंग",
 DlgCellBorderColor	: "बॉर्डर का रंग",
@@ -333,5 +333,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "खोजें और बदलें",
 
 // Find Dialog
@@ -357,5 +357,5 @@
 
 DlgPasteMsg2	: "Ctrl+V का प्रयोग करके पेस्ट करें और ठीक है करें.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteSec		: "आपके ब्राउज़र की सुरक्षा आपके ब्राउज़र की सुरKश सैटिंग के कारण, एडिटर आपके क्लिपबोर्ड डेटा को नहीं पा सकता है. आपको उसे इस विन्डो में दोबारा पेस्ट करना होगा.",
 DlgPasteIgnoreFont		: "फ़ॉन्ट परिभाषा निकालें",
 DlgPasteRemoveStyles	: "स्टाइल परिभाषा निकालें",
@@ -363,5 +363,5 @@
 
 // Color Picker
-ColorAutomatic	: "ऑटोमैटिक",
+ColorAutomatic	: "स्वचालित",
 ColorMoreColors	: "और रंग...",
 
@@ -405,5 +405,5 @@
 // Form Dialog
 DlgFormName		: "नाम",
-DlgFormAction	: "ऍक्शन",
+DlgFormAction	: "क्रिया",
 DlgFormMethod	: "तरीका",
 
@@ -426,5 +426,5 @@
 // Textarea Dialog
 DlgTextareaName	: "नाम",
-DlgTextareaCols	: "कॉलम",
+DlgTextareaCols	: "कालम",
 DlgTextareaRows	: "पंक्तियां",
 