Index: FCKeditor/trunk/_dev/build_release.bat
===================================================================
--- FCKeditor/trunk/_dev/build_release.bat	(revision 1012)
+++ FCKeditor/trunk/_dev/build_release.bat	(revision 1014)
@@ -26,5 +26,5 @@
 
 :: Update this variable for each new release.
-SET RELEASER_VERSION=2.5
+SET RELEASER_VERSION=2.6 (SVN)
 
 CLS
Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 1012)
+++ FCKeditor/trunk/_whatsnew.html	(revision 1014)
@@ -31,5 +31,29 @@
 <body>
 	<h3>
-		Version 2.5</h3>
+		Version 2.6 (SVN)</h3>
+	<p>
+		New Features and Improvements:</p>
+	<ul>
+		<li></li>
+	</ul>
+	<p>
+		Fixed Bugs:</p>
+	<ul>
+		<li></li>
+	</ul>
+	<h3>
+		Version 2.5 (SVN)</h3>
+	<p>
+		New Features and Improvements:</p>
+	<ul>
+		<li></li>
+	</ul>
+	<p>
+		Fixed Bugs:</p>
+	<ul>
+		<li></li>
+	</ul>
+	<h3>
+		Version 2.5 Beta</h3>
 	<p>
 		New Features and Improvements:</p>
@@ -68,16 +92,16 @@
 					the &quot;Remove All&quot; button, by using the &quot;<b>RemoveFormatTags</b>&quot;
 					setting.</li>
-				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1231">#1231</a>] 
-					[<a target="_blank" href="http://dev.fckeditor.net/ticket/160">#160</a>] Paragraph
-					<b>indentation</b> and <b>justification</b> now uses style attributes and don't
-					create unnecessary elements, and &lt;blockquote&gt; is not anymore used for it.
-					Now, even CSS classes can be used to indent or align text.</li>
+				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1231">#1231</a>] [<a
+					target="_blank" href="http://dev.fckeditor.net/ticket/160">#160</a>] Paragraph <b>indentation</b>
+					and <b>justification</b> now uses style attributes and don't create unnecessary
+					elements, and &lt;blockquote&gt; is not anymore used for it. Now, even CSS classes
+					can be used to indent or align text.</li>
 				<li>All paragraph formatting features work well when EnterMode=br.</li>
-				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/172">#172</a>]
-					All paragraph formatting features work well when list items too.</li>
+				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/172">#172</a>] All paragraph
+					formatting features work well when list items too.</li>
 			</ul>
 		</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1197">#1197</a>] 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/132">#132</a>] The toolbar
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1197">#1197</a>] [<a
+			target="_blank" href="http://dev.fckeditor.net/ticket/132">#132</a>] The toolbar
 			now presents a <strong>new button for Blockquote</strong>. The indentation button
 			will not anymore be used for that.</li>
@@ -148,6 +172,6 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1060">#1060</a>] Compatibility
 			checks with Firefox 3.0 Alpha. </li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/817">#817</a>] 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/1077">#1077</a>] New "Merge
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/817">#817</a>] [<a
+			target="_blank" href="http://dev.fckeditor.net/ticket/1077">#1077</a>] New "Merge
 			Down/Right" commands for merging tables cells in non-Gecko browsers.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1288">#1288</a>] The "More
@@ -156,9 +180,9 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/356">#356</a>] The <strong>
 			Find and Replace</strong> dialogs are now unified into a single dialog with tabs.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/549">#549</a>] Added a 'None'
-			option to the FCKConfig.ToolbarLocation option to allow for hidden toolbars.
-			</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1313">#1313</a>] An XHTML 1.1 target
-			editor sample has been created as sample14.html. </li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/549">#549</a>] Added a
+			'None' option to the FCKConfig.ToolbarLocation option to allow for hidden toolbars.
+		</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1313">#1313</a>] An XHTML
+			1.1 target editor sample has been created as sample14.html. </li>
 		<li>The ASP, ColdFusion and PHP integration have been aligned to our standards.</li>
 	</ul>
@@ -404,42 +428,43 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/923">#923</a>] Font colors
 			are now properly applied on links.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1316">#1316</a>] Fixed the issue
-			where the image dialog expands to a size too big in Safari.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1306">#1306</a>] 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/894">#894</a>]
-			The undo system can now undo text formatting steps like setting fonts to bold and italic.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/95">#95</a>] Fixed the issue where
-			FCKeditor breaks &lt;meta&gt; tags in full page mode in some circumstances.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/175">#175</a>] Fixed the issue
-			where entering an email address with a '%' sign in the insert link dialog would cause
-			JavaScript error.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/180">#180</a>] Improved backward
-			compatibility with older PHP versions. FCKeditor can now work with PHP versions down to 
-			4.0.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/192">#192</a>] Document modifying
-			actions from the FCKeditor JavaScript API will now save undo steps.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/246">#246</a>] Using text formatting
-			commands in EnterMode=div will no longer cause tags to randomly disappear.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/327">#327</a>] It is no longer 
-			possible for the browser's back action to misfire when a user presses backspace while an
-			image is being selected in FCKeditor.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/362">#362</a>] Ctrl-Backspace now
-			works in FCKeditor.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/390">#390</a>] Text alignment and
-			justification commands now respects EnterMode=br paragraph rules.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/534">#534</a>] Pressing Ctrl-End
-	       		while the document contains a list towards the end will no longer make the cursor
-			disappear.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/906">#906</a>] It is now possible
-			to have XHTML 1.0 Strict compliant output from a document pasted from Word.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/929">#929</a>] Pressing the Enter
-			key will now produce an undo step.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/934">#934</a>] Fixed the "Cannot 
-			execute code from a freed script" error in IE from editor dialogs.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/942">#942</a>] Server based spell
-			checking with ColdFusion integration no longer breaks fir non en_US languages.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/942">#1056</a>] Deleting everything
-			in the editor document and moving the cursor around will no longer leave the cursor hanging
-			beyond the top of the editor document.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1316">#1316</a>] Fixed
+			the issue where the image dialog expands to a size too big in Safari.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1306">#1306</a>] [<a
+			target="_blank" href="http://dev.fckeditor.net/ticket/894">#894</a>] The undo system
+			can now undo text formatting steps like setting fonts to bold and italic.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/95">#95</a>] Fixed the
+			issue where FCKeditor breaks &lt;meta&gt; tags in full page mode in some circumstances.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/175">#175</a>] Fixed the
+			issue where entering an email address with a '%' sign in the insert link dialog
+			would cause JavaScript error.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/180">#180</a>] Improved
+			backward compatibility with older PHP versions. FCKeditor can now work with PHP
+			versions down to 4.0.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/192">#192</a>] Document
+			modifying actions from the FCKeditor JavaScript API will now save undo steps.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/246">#246</a>] Using text
+			formatting commands in EnterMode=div will no longer cause tags to randomly disappear.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/327">#327</a>] It is no
+			longer possible for the browser's back action to misfire when a user presses backspace
+			while an image is being selected in FCKeditor.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/362">#362</a>] Ctrl-Backspace
+			now works in FCKeditor.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/390">#390</a>] Text alignment
+			and justification commands now respects EnterMode=br paragraph rules.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/534">#534</a>] Pressing
+			Ctrl-End while the document contains a list towards the end will no longer make
+			the cursor disappear.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/906">#906</a>] It is now
+			possible to have XHTML 1.0 Strict compliant output from a document pasted from Word.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/929">#929</a>] Pressing
+			the Enter key will now produce an undo step.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/934">#934</a>] Fixed the
+			"Cannot execute code from a freed script" error in IE from editor dialogs.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/942">#942</a>] Server
+			based spell checking with ColdFusion integration no longer breaks fir non en_US
+			languages.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/942">#1056</a>] Deleting
+			everything in the editor document and moving the cursor around will no longer leave
+			the cursor hanging beyond the top of the editor document.</li>
 	</ul>
 	<p>